Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# Parma_Polyhedra_Library::H79_Certificate Class Reference

A convergence certificate for the H79 widening operator. More...

List of all members.

## Public Member Functions
| H79_Certificate ()
| Default constructor.
| H79_Certificate (const Polyhedron &ph)
| Constructor: computes the certificate for `ph`.
| H79_Certificate (const H79_Certificate &y)
| Copy constructor.
| ~H79_Certificate ()
| Destructor.
int | compare (const H79_Certificate &y) const
| The comparison function for certificates.
int | compare (const Polyhedron &ph) const
| Compares `*this` with the certificate for polyhedron `ph`.

## Detailed Description

A convergence certificate for the H79 widening operator.

Convergence certificates are used to instantiate the BHZ03 framework so as to define widening operators for the finite powerset domain.

Note:
  The convergence of the H79 widening can also be certified by BHRZ03_Certificate.

## Member Function Documentation

int Parma_Polyhedra_Library::H79_Certificate::compare | ( | const H79_Certificate & | y | ) | const

| The comparison function for certificates. Returns: , or depending on whether `*this` is smaller than, equal to, or greater than `y`, respectively. Compares `*this` with `y`, using a total ordering which is a refinement of the limited growth ordering relation for the H79 widening.